---
name: IconButton
route: /Buttons/IconButton
menu: Buttons
---

import { Playground, PropsTable } from 'docz'
import { IconButton } from '../../src'
import { Alert } from 'react-native'
import { colors } from '@barcard/functions'

## IconButton

## About

Action button with an icon.

## Basic Usage

<Playground>
  <IconButton
    color={colors.white}
    disabledColor={colors.secondary2}
    icon={{
      name: 'list',
      size: 20,
      color: colors.teal,
      style: {},
    }}
    handlePress={() => alert('Thanks for clicking me!')}
  />
  <IconButton
    disabled={true}
    color={colors.white}
    disabledColor={colors.secondary2}
    icon={{
      name: 'list',
      size: 20,
      color: colors.teal,
      style: {},
    }}
    handlePress={() => alert("Thanks! I'm disabled.")}
  />
</Playground>

## Properties

<PropsTable of={IconButton} includeDescription={true} />
